Bug 206569

Summary: Remove the now unneeded ${PORTSDIR} variable from all ports
Product: Ports & Packages Reporter: Baptiste Daroussin <bapt>
Component: Ports FrameworkAssignee: Baptiste Daroussin <bapt>
Status: Closed FIXED    
Severity: Affects Only Me CC: pi, portmgr
Priority: --- Keywords: needs-patch, needs-qa
Version: LatestFlags: bapt: exp-run?
Hardware: Any   
OS: Any   
URL: https://reviews.freebsd.org/D5047

Description Baptiste Daroussin freebsd_committer 2016-01-24 12:47:56 UTC
Before 2016Q1 we have removed the necessity of specifying ${PORTSDIR}
in dependency lines.

Tested with portmaster, portupgrade and synth and poudriere (bulk -an)
Comment 1 Antoine Brodin freebsd_committer 2016-02-10 15:40:53 UTC
Back to portmgr, waiting for an updated patch (problem with _DEPEND_SPECIALS)
Comment 2 Baptiste Daroussin freebsd_committer 2016-03-06 17:42:25 UTC
The _DEPENDS_SPECIALS case has been fixed in the current ports tree can we get a new exp-run?
Comment 3 Antoine Brodin freebsd_committer 2016-03-08 13:57:45 UTC
(In reply to Baptiste Daroussin from comment #2)
Yes, can you refresh the patch?
Comment 4 Antoine Brodin freebsd_committer 2016-03-26 19:49:03 UTC
Exp-run didn't show any problem with the last version of the patch.
Comment 5 commit-hook freebsd_committer 2016-03-27 01:24:14 UTC
A commit references this bug:

Author: bapt
Date: Sun Mar 27 01:23:28 UTC 2016
New revision: 411970
URL: https://svnweb.freebsd.org/changeset/ports/411970

Log:
  Remove the now unneeded ${PORTSDIR} from dependency definition in
  The infrastructure Makefiles

  PR:		206569
  Exp run by:	antoine
  Differential Revision:	D5047

Changes:
  head/Mk/Uses/ada.mk
  head/Mk/Uses/autoreconf.mk
  head/Mk/Uses/bison.mk
  head/Mk/Uses/blaslapack.mk
  head/Mk/Uses/cmake.mk
  head/Mk/Uses/compiler.mk
  head/Mk/Uses/cran.mk
  head/Mk/Uses/desktop-file-utils.mk
  head/Mk/Uses/display.mk
  head/Mk/Uses/drupal.mk
  head/Mk/Uses/elixir.mk
  head/Mk/Uses/erlang.mk
  head/Mk/Uses/execinfo.mk
  head/Mk/Uses/fakeroot.mk
  head/Mk/Uses/fam.mk
  head/Mk/Uses/firebird.mk
  head/Mk/Uses/fmake.mk
  head/Mk/Uses/fonts.mk
  head/Mk/Uses/fortran.mk
  head/Mk/Uses/fuse.mk
  head/Mk/Uses/gettext-runtime.mk
  head/Mk/Uses/gettext-tools.mk
  head/Mk/Uses/ghostscript.mk
  head/Mk/Uses/gmake.mk
  head/Mk/Uses/gnome.mk
  head/Mk/Uses/gnustep.mk
  head/Mk/Uses/gperf.mk
  head/Mk/Uses/gssapi.mk
  head/Mk/Uses/horde.mk
  head/Mk/Uses/iconv.mk
  head/Mk/Uses/imake.mk
  head/Mk/Uses/jpeg.mk
  head/Mk/Uses/lha.mk
  head/Mk/Uses/libarchive.mk
  head/Mk/Uses/libedit.mk
  head/Mk/Uses/libtool.mk
  head/Mk/Uses/lua.mk
  head/Mk/Uses/makeinfo.mk
  head/Mk/Uses/makeself.mk
  head/Mk/Uses/mate.mk
  head/Mk/Uses/mono.mk
  head/Mk/Uses/motif.mk
  head/Mk/Uses/ncurses.mk
  head/Mk/Uses/ninja.mk
  head/Mk/Uses/objc.mk
  head/Mk/Uses/openal.mk
  head/Mk/Uses/pear.mk
  head/Mk/Uses/perl5.mk
  head/Mk/Uses/pgsql.mk
  head/Mk/Uses/pkgconfig.mk
  head/Mk/Uses/pure.mk
  head/Mk/Uses/pyqt.mk
  head/Mk/Uses/python.mk
  head/Mk/Uses/qmail.mk
  head/Mk/Uses/readline.mk
  head/Mk/Uses/scons.mk
  head/Mk/Uses/shared-mime-info.mk
  head/Mk/Uses/sqlite.mk
  head/Mk/Uses/tcl.mk
  head/Mk/Uses/twisted.mk
  head/Mk/Uses/xfce.mk
  head/Mk/Uses/zip.mk
  head/Mk/Uses/zope.mk
  head/Mk/bsd.apache.mk
  head/Mk/bsd.autotools.mk
  head/Mk/bsd.ccache.mk
  head/Mk/bsd.database.mk
  head/Mk/bsd.fpc.mk
  head/Mk/bsd.gcc.mk
  head/Mk/bsd.gecko.mk
  head/Mk/bsd.gstreamer.mk
  head/Mk/bsd.java.mk
  head/Mk/bsd.kde4.mk
  head/Mk/bsd.ldap.mk
  head/Mk/bsd.linux-rpm.mk
  head/Mk/bsd.octave.mk
  head/Mk/bsd.openssl.mk
  head/Mk/bsd.php.mk
  head/Mk/bsd.port.mk
  head/Mk/bsd.qt.mk
  head/Mk/bsd.ruby.mk
  head/Mk/bsd.sdl.mk
  head/Mk/bsd.tex.mk
  head/Mk/bsd.wx.mk
  head/Mk/bsd.xorg.mk